Subject: Stuck after "Changing root device to sd1a"

From: [email-masked] (Larry Stone)

Help !

I am trying to get NetBSD to start on my A3000, but the boot process hangs after
seeming to find all of the hardware devices properly.  My system is configured
as follows:

   A3000, 68030/25 Mhz, 68882
   16 MB Fast, 2 MB Chip RAM
   SCSI 0 - Seagate ST1096N / 80 MB drive, 1 AmigaDOS partition
   SCSI 1 - Maxtor 7345S / 340 MB drive, 4 BSD partitions, 1 AmigaDOS partition
   SCSI 6 - Quantum LP52S / 52 MB drive, AmigaDOS boot partition
   SCSI 4 - tape drive (but I'm keeping it turned off for now)
   1 external floppy, plus the 1 internal floppy

I have a GDA-1 graphics controller from GfxBase installed as well.  I also
checked recently when I had the top off the machine, and I have a prototype
WD SCSI chip :-(.

I have set _inhibit_sync for all 3 hard drives (even though only 1 of them has
BSD partitions), and have set _scsi_no_dma.  These helped somewhat, as a number
of complaints about the drives have disappeared.  Still, the boot process just
hangs after "Changing root device to sd1a"; I wait as long as 15 minutes with no
other response.  If I strike a key, I get a green cross-hair cursor which I can
move with the mouse; if I strike another key, it goes away.  Other than toggling
the little green cross-hair, the machine seems dead.

Any help will be greatly appreciated.  Please send mail to [email-masked].
If this has already been covered in exhaustive detail, I apologize, but I have
been watching comp.unix.amiga and the netbsd-amiga mailing list for a couple of
weeks and have seen nothing that seemed to be this same problem.  If anyone
knows of a place where either of those is archived, please let me know, and I'll
be sure to look there before posting again.

What follows the dashed lines is a complete listing of the messages printed when
my machine tries to boot the OS, in case it helps.

Thanks in advance !

   Larry W. Stone
   [email-masked]

-------------------------------------------------------------------------------

Copyright (c) 1982,1986,1989,1991 The Regents of the University of California.
All rights reserved.

NetBSD 0.9 () #644: Thu Sep  9 22:57:27 MET DST 1993
  [email-masked]:/home/usr/src/sys/arch/amiga/compile/AMIGA
AMIGA/A3000 MC68030 CPU+MMU, 25 MHz MC68882 FPU)
real mem = 16777216
avail mem = 14655488
using 204 buffers containing 1671168 bytes of memory
find_controller: hw: [1/1] (1e50000), type 2082...found a3000scsi0
dma0: A3000 32bit DMA
scsi0: scsi id 7
a3000scsi0 [1/1]
find_busslaves: for a3000scsi0
looking for sd0 at slave 0...sd0: SEAGATE ST1096 rev
, 163986 512 byte blocks
total 0 BSD-partitions.
found
sd0 at a3000scsi0, slave 0
looking for sd1 at slave 1...sd1: MAXTOR 7345-SCSI rev 0960, 675484 512 byte blocks
A @155520 - 172032 = 16512
B @172224 - 237696 = 65472
D @237888 - 376704 = 138816
E @376896 - 675264 = 298368
total 4 BSD-partitions.
found
sd1 at a3000scsi0, slave 1
looking for sd2 at slave 2...not found
looking for st0 at slave 2...not found
looking for sd3 at slave 2...not found
looking for st0 at slave 2...not found
looking for sd4 at slave 2...not found
looking for st0 at slave 2...not found
looking for sd5 at slave 2...not found
looking for st0 at slave 2...not found
looking for sd6 at slave 2...sd6: QUANTUM LP52S  950509405 rev , 102171 512 byte blocks
total 0 BSD-partitions.
found
sd6 at a3000scsi0, slave 6
find_device: hw: [1/4] (1e40000), type 2007...found rtclock0
Realtime clock A3000
rtclock0 [1/4]
find_controller: hw: [1/2] (1e7f000), type 2081...not found
unconfigured device 1/2
find_device: hw: [1/5] (1e7f000), type 2004...not found
unconfigured device 1/5
find_device: hw: [1/6] (1e7f000), type 2004...found par0
par0 [1/6]
find_device: hw: [1/7] (1e7f000), type 2001...found grf0
grf0: 704 x 464 monochrome custom chips display
grf0 [1/7]
find_device: hw: [1/3] (1e7f000), type 2005...found ser0
ser0 [1/3]
Changing root device to sd1a

... here I see a blue solid cursor in position 1, and the machine is hung except
    for toggling the green cross-hair mouse pointer, as I mentioned above.